#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    long long v;
    cin>>v;
    long double g=v;
    int k=-1;
    long double d[3],f[3],a[3];
    d[0]=1;
    d[1]=2;
    d[2]=5;
    long long l=v,r=0,s,z,bruh=0,m,x;
    while (l!=0)
    {
        l/=10;
        k+=1;
    }
    while (r!=v)
    {
        for (int i=0;i<3;i++)
        {
            a[i]=d[i]*pow(10,k);
            f[i]=g/a[i];
        }
        z=f[0];
        s=a[0];
        m=g/a[0];
        for (int j=0;j<3;j++)
        {
            if (z>f[j] && f[j]>=1)
            {
                z=f[j];
                m=g/a[j];
                s=a[j];
            }
        }
        if (s%2!=0 && s/10!=0)
            s=s+1;
        x=s*m;
        r=r+x;
        bruh=bruh+m;
        g=g-x;
        if (g/pow(10,k)<1)
            k--;
    }
    cout<<bruh;
}